2022-01-26 05:19 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002712FSSCPSEXPspublic2012-11-19 18:53
ReporterCooperHawkes 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0002712: "change-ship-class" sexp doesnt work for clients
Descriptionif a ship gets its class changed with that sexp, everything works fine for the host, but it wont get updated for the client
TagsNo tags attached.
Attached Files

-Relationships
related to 0002714resolvedGoober5000 HUD won't change with change-ship-class SEXP 
+Relationships

-Notes

~0013966

karajorma (administrator)

Can you attach a test mission please?

~0013968

karajorma (administrator)

Last edited: 2012-09-16 04:16

View 2 revisions

R9204 is only a partial fix as cockpit and HUD are not updated. Still that's not a problem with the SEXP so much as the change_ship_type() function not being updated to deal with them.

I'll bump this one over to Swifty as I suspect he can fix that much more easily than I can.

~0014038

Goober5000 (administrator)

The HUD is now fixed per issue 0002714. Can someone test whether this fix changes the cockpit as well?

~0014097

Goober5000 (administrator)

Cockpit fix confirmed by MjnMixael.

~0014098

Goober5000 (administrator)

Crediting karajorma since this ticket deals with the multiplayer side.
+Notes

-Issue History
Date Modified Username Field Change
2012-09-10 08:32 CooperHawkes New Issue
2012-09-13 00:20 karajorma Assigned To => karajorma
2012-09-13 00:20 karajorma Status new => assigned
2012-09-13 02:40 karajorma Note Added: 0013966
2012-09-16 04:16 karajorma Note Added: 0013968
2012-09-16 04:16 karajorma Note Edited: 0013968 View Revisions
2012-09-16 04:17 karajorma Assigned To karajorma => Swifty
2012-11-12 11:59 Goober5000 Note Added: 0014038
2012-11-12 11:59 Goober5000 Assigned To Swifty => Goober5000
2012-11-12 11:59 Goober5000 Relationship added related to 0002714
2012-11-19 18:52 Goober5000 Note Added: 0014097
2012-11-19 18:52 Goober5000 Status assigned => resolved
2012-11-19 18:52 Goober5000 Resolution open => fixed
2012-11-19 18:53 Goober5000 Note Added: 0014098
2012-11-19 18:53 Goober5000 Assigned To Goober5000 => karajorma
+Issue History